package com.kingdee.eas.custom.recuritment.task;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.recuritment.task.*;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class RecuritmentFacade extends AbstractBizCtrl implements IRecuritmentFacade
{
    public RecuritmentFacade()
    {
        super();
        registerInterface(IRecuritmentFacade.class, this);
    }
    public RecuritmentFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IRecuritmentFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("38763AD7");
    }
    private RecuritmentFacadeController getController() throws BOSException
    {
        return (RecuritmentFacadeController)getBizController();
    }
    /**
     *syncRecuritmentToBeisen-User defined method
     *@param billId 单据id
     */
    public void syncRecuritmentToBeisen(String billId) throws BOSException, EASBizException
    {
        try {
            getController().syncRecuritmentToBeisen(getContext(), billId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *updateRecuritment-User defined method
     *@param startDate 开始时间
     *@param endDate 结束时间
     *@param offset 日期偏移量
     */
    public void updateRecuritment(String startDate, String endDate, int offset) throws BOSException, EASBizException
    {
        try {
            getController().updateRecuritment(getContext(), startDate, endDate, offset);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *同步北森简历和附件-User defined method
     *@param applyId 北森申请id
     */
    public void syncBeisenResume(String applyId) throws BOSException, EASBizException
    {
        try {
            getController().syncBeisenResume(getContext(), applyId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}